
From: Jiri Slaby <jirislaby@gmail.com>

Signed-off-by: Jiri Slaby <xslaby@fi.muni.cz>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/frv/mb93090-mb00/pci-irq.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN arch/frv/mb93090-mb00/pci-irq.c~arch-pci_find_device-remove-frv-mb93090-mb00-pci-irqc arch/frv/mb93090-mb00/pci-irq.c
--- devel/arch/frv/mb93090-mb00/pci-irq.c~arch-pci_find_device-remove-frv-mb93090-mb00-pci-irqc	2005-09-09 23:04:49.000000000 -0700
+++ devel-akpm/arch/frv/mb93090-mb00/pci-irq.c	2005-09-09 23:04:49.000000000 -0700
@@ -48,9 +48,7 @@ void __init pcibios_fixup_irqs(void)
 	struct pci_dev *dev = NULL;
 	uint8_t line, pin;
 
-	while (dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev),
-	       dev != NULL
-	       ) {
+	for_each_pci_dev(dev) {
 		pci_read_config_byte(dev, PCI_INTERRUPT_PIN, &pin);
 		if (pin) {
 			dev->irq = pci_bus0_irq_routing[PCI_SLOT(dev->devfn)][pin - 1];
_
